
set( artdaq_utilities_VERSION 1.05.11 )
set( artdaq_utilities_UPS_VERSION v1_05_11 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_boost( v1_53_0 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( cetlib v1_08_00 )
find_ups_product( sqlite  )
find_ups_product( cetlib_except v1_01_00 )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( fhiclcpp v3_04_00 )
find_ups_product( python  )
find_ups_product( messagefacility v1_14_01 )
set(ARTDAQ-UTILITIES_PLUGINS "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins.so")
set(ARTDAQ-UTILITIES_PLUGINS_FILE_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_file_metric.so")
set(ARTDAQ-UTILITIES_PLUGINS_TEST_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_test_metric.so")
set(ARTDAQ-UTILITIES_PLUGINS_REPORT_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_report_metric.so")
set(ARTDAQ-UTILITIES_PLUGINS_MSGFACILITY_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_msgFacility_metric.so")
set(ARTDAQ-UTILITIES_PLUGINS_GRAPHITE_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_graphite_metric.so")
set(ARTDAQ-UTILITIES_PLUGINS_PROCFILE_METRIC "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_Plugins_procFile_metric.so")
set(ARTDAQ-UTILITIES_BUILDINFO "$ENV{ARTDAQ_UTILITIES_LIB}/libartdaq-utilities_BuildInfo.so")
  include_directories ( "$ENV{ARTDAQ_UTILITIES_INC}" )

check_required_components(artdaq_utilities)

